Bug 430196 - freetds built without readline support
freetds built without readline support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: freetds (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 23:56 EST by Jim Radford
Modified: 2008-05-14 18:16 EDT (History)
0 users

See Also:
Fixed In Version: 0.64-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 11:44:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Radford 2008-01-24 23:56:05 EST
The tsql command line utility in freetds is unusable without readline support. 
Please add readline-devel as a build requirement.
Comment 1 Fedora Update System 2008-01-27 02:12:54 EST
freetds-0.64-8.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freetds'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F7/FEDORA-2008-1035
Comment 2 Jim Radford 2008-01-27 09:40:19 EST
(In reply to comment #1)
> freetds-0.64-8.fc7 has been pushed to the Fedora 7 testing repository.  If
problems still persist, please make note of it in this bug report.

Installing:
 freetds-doc             x86_64     0.64-8.fc8       updates-testing   341 k
     replacing  freetds-devel.i386 0.64-7.fc8

Why did this remove freetds-devel?  freetds-doc does *not* obsolete freetds-devel.

Also, your descriptions in freetds-devel and freetds-doc are backwards.
Comment 3 Dmitry Butskoy 2008-01-28 10:47:19 EST
It seems I forgot to add "Requires: freetds-devel" to the just splitted freetds-doc.

Such an obsoleting is a "technical" obsoleting -- it is one of the steps to
split a package and provide clear upgrade path for the older ones. IOW, normally
both freetds-devel and freetds-doc must be installed when updated over
freetds-devel < 0.64-8 ...

> your descriptions in freetds-devel and freetds-doc are backwards
What do you mean exactly?
Comment 4 Fedora Update System 2008-01-28 12:51:13 EST
freetds-0.64-9.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-01-28 12:53:38 EST
freetds-0.64-9.fc7 has been submitted as an update for Fedora 7
Comment 6 Fedora Update System 2008-04-23 12:00:19 EDT
freetds-0.64-11.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-04-23 12:01:29 EDT
freetds-0.64-11.fc7 has been submitted as an update for Fedora 7
Comment 8 Fedora Update System 2008-05-14 17:33:32 EDT
freetds-0.64-11.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-05-14 18:16:25 EDT
freetds-0.64-11.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.